Issue a deposit address on a chain.
curl --request POST \
--url https://api.symbiosis.markets/custody/create-deposit-address \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.symbiosis.markets/custody/create-deposit-address"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.symbiosis.markets/custody/create-deposit-address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"address": "<string>",
"chain": "Polygon"
}Custody
Issue a deposit address on a chain.
POST
/
custody
/
create-deposit-address
Issue a deposit address on a chain.
curl --request POST \
--url https://api.symbiosis.markets/custody/create-deposit-address \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.symbiosis.markets/custody/create-deposit-address"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.symbiosis.markets/custody/create-deposit-address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"address": "<string>",
"chain": "Polygon"
}Authorizations
SessionBearerApiKeyHmac & HmacTimestamp & HmacSignature
Session token from POST /auth/login.
Body
application/json
Available options:
Polygon, Solana, Base